Page MenuHomePhabricator

Ship mobile web structured language modal overlay
Closed, ResolvedPublic3 Story Points

Description

As a user, I want a structured language switcher as the default behavior, not just in beta or when I'm fortunate enough to get it as part of a test.

Acceptance criteria

Note this is contingent on T128917: Head-to-head A/B test language switcher alternative.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove Language Overlay experiment
mediawiki/extensions/MobileFrontend : masterPromote structured language overlay to stable

Event Timeline

dr0ptp4kt created this task.Mar 8 2016, 8:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 8:28 PM
Jdlrobson set the point value for this task to 3.Mar 12 2016, 12:51 AM

Change 277829 had a related patch set uploaded (by Bmansurov):
Promot structured language overlay to stable

https://gerrit.wikimedia.org/r/277829

Change 277837 had a related patch set uploaded (by Bmansurov):
Remove Language Overlay experiment

https://gerrit.wikimedia.org/r/277837

Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Mar 16 2016, 10:33 PM
bmansurov updated the task description. (Show Details)Mar 16 2016, 11:45 PM
phuedx added a subscriber: phuedx.Mar 17 2016, 9:21 AM

I got a little carried away there…

I +2ed and it's on its way to the BC. Over to @dr0ptp4kt for sign off before next deployment cut off.

bmansurov removed bmansurov as the assignee of this task.Mar 18 2016, 6:33 PM
bmansurov added a subscriber: bmansurov.

Change 277829 merged by jenkins-bot:
Promote structured language overlay to stable

https://gerrit.wikimedia.org/r/277829

This task tracks the release of the new design of the language switching overlay, the rationale, design, and additional detail of which can be found here – this link is included in the description of the task but as a note rather than an explicit link to the project.

phuedx updated the task description. (Show Details)Mar 21 2016, 2:15 PM

I did some more testing today and discovered the rather serious T130798

This should remain in sign off column. We have blocking tasks to track progress which are in the correct columns.

Nemo_bis removed a subscriber: Nemo_bis.Mar 27 2016, 6:39 PM

All blockers have been fixed. The config change should be merged and SWATted before signing off: https://gerrit.wikimedia.org/r/#/c/277837/

277837 needs to be SWAT deployed. Who's both interested and available?

Change 277837 merged by jenkins-bot:
Remove Language Overlay experiment

https://gerrit.wikimedia.org/r/277837

All patches have been merged, the remaining things are on @dr0ptp4kt, so I'm leaving this task on the 'To Do' column.

All patches have been merged, the remaining things are on @dr0ptp4kt, so I'm leaving this task on the 'To Do' column.

Sounds like a sign off task to me...?

Kind of, but there is more work to be done. The documentation.